
<div class="row">
    <div class="col-md-7">
        <app-search-item-by-name (NameAdded)="findItemByName($event)"></app-search-item-by-name>

        <app-item-list-for-edit [items]="items" (ItemDeleted)="delteItem($event)" (ItemSetToEdit)="setItemToEdit($event)"></app-item-list-for-edit>
    </div>
    <div class="col-md-2" id="page">
        <button class="btn" (click)="previousPage()" [disabled]="page == 0"><<</button>
        <select [(ngModel)]="size" (change)="changePageSize()"> 
            <option value="5">5</option>
            <option value="10">10</option>
        </select>
        <button class="btn" (click)="nextPage()" [disabled]="last">>></button>
        <br/>
    </div>
    <div class="col-md-3">
        <div *ngIf="isForEdit; else elseBlock">
            <app-edit-form (itemIsEdited)="editItem($event)" (isForEdited)="setAppropriateForm()" [categories]=categories [itemToEdit]="itemToEdit" ></app-edit-form>
        </div>
            <ng-template #elseBlock>
                <app-form [categories]=categories (ItemAdded)="saveItem($event)"></app-form>
            </ng-template>
    </div>
</div>